<?php
if(!defined("BASE_DIR")) exit;
if(!perm('stats'))
{
	no_perm();
} else {
	
	include_once(BASE_DIR . 'admin/class/class.stats.php');
	$stats = new Stats;
	
	$_REQUEST['sub'] = (isset($_REQUEST['sub']) && !empty($_REQUEST['sub'])) ? $_REQUEST['sub'] : 'overview';
	switch($_REQUEST['sub'])
	{
		case 'overview':
			$stats->getChart();
		break;
		
		case 'referer':
			$stats->getReferer();
		break;
	}
}
?>
		